package org.me.richtest.vo;

import java.io.Serializable;

public class BroadCastMessage implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 9140816607358973576L;
	
	private String subject;
	private String content;
	private NotificationType notificationType;
	
	public enum NotificationType{
		ALERT,
		ERROR,
		INFO
	}
	
	public BroadCastMessage(){
		super();
	}
	
	public BroadCastMessage(String subject, String content) {
		super();
		this.subject = subject;
		this.content = content;
	}
	public void setSubject(String subject) {
		this.subject = subject;
	}
	public String getSubject() {
		return subject;
	}
	public void setContent(String content) {
		this.content = content;
	}
	public String getContent() {
		return content;
	}

	public void setNotificationType(NotificationType notificationType) {
		this.notificationType = notificationType;
	}

	public NotificationType getNotificationType() {
		return notificationType;
	}

}
